Page MenuHomePhabricator

{slug} Pageview API Ops
Closed, ResolvedPublic

Description

Objective: Give the community a Pageview API
Key Result: Deploy API in production with data for all projects & articles

Deliverable
A publicly available API that servers pageview counts on wikimedia content (articles).
The API will use a public accessible database to serve its data.
The dimensions of the data are TBD, but likely hour, project, dialect, page_title, access_method, agent_type.

Value Proposition
For community members and analysts
Who need consumption metrics on content (pageviews counts per page)
Our Pageview API is a simple and reliable to get data
Unlike parsing our hourly dumps or scraping data off stats.grok.se

Event Timeline

kevinator updated the task description. (Show Details)
kevinator raised the priority of this task from to Normal.
kevinator added a subscriber: kevinator.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 11:12 PM
kevinator renamed this task from {slug} to {slug} Pageview API.Jun 12 2015, 6:23 AM
kevinator updated the task description. (Show Details)
kevinator set Security to None.
Abit added a subscriber: Abit.Jun 30 2015, 10:39 PM
TTO added a subscriber: TTO.Oct 17 2015, 9:34 AM
Tgr added a subscriber: Tgr.Nov 18 2015, 10:50 AM

Duplicate of T44259?

JAllemandou renamed this task from {slug} Pageview API to {slug} Pageview API Ops.May 3 2016, 4:54 PM
JAllemandou reopened this task as Open.
elukey closed this task as Resolved.Jul 28 2016, 1:47 PM
elukey claimed this task.
elukey added a subscriber: elukey.

PageViews API have been running for a while in prod, old task :)

https://wikitech.wikimedia.org/wiki/Analytics/AQS